/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: LIMPA_DADOS_ORCAMENTO                                             */
/* Tabela : PREVCONS e PREVIRETI                                              */
/*                                                                            */
/* Criao:                                                                   */
/* 23/01/2007 - Leandro Rodrigo                                               */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'LIMPA_DADOS_ORCAMENTO'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER LIMPA_DADOS_ORCAMENTO
GO

CREATE TRIGGER LIMPA_DADOS_ORCAMENTO
ON SERVICO 
FOR UPDATE 
AS
BEGIN
   IF EXISTS( SELECT SERVICO.IDSERVATIV 
              FROM SERVICO,INSERTED
              WHERE 
                 SERVICO.CDFILIAL   = INSERTED.CDFILIAL   AND 
                 SERVICO.CDSERVFILI = INSERTED.CDSERVFILI AND
                 INSERTED.IDSERVATIV = 'N' )

   BEGIN        
      DELETE FROM PREVCONS
      FROM DELETED
      WHERE
         PREVCONS.CDFILIAL   = DELETED.CDFILIAL AND 
         PREVCONS.CDSERVFILI = DELETED.CDSERVFILI;
  
      DELETE FROM PREVRETI
      FROM DELETED
      WHERE
         PREVRETI.CDFILIAL   = DELETED.CDFILIAL AND 
         PREVRETI.CDSERVFILI = DELETED.CDSERVFILI;

      UPDATE SERVICO SET IDCARDDESCENTR = 'N'
      FROM INSERTED
      WHERE 
         SERVICO.CDFILIAL   = INSERTED.CDFILIAL   AND
         SERVICO.CDSERVFILI = INSERTED.CDSERVFILI AND 
         SERVICO.IDCARDDESCENTR <> 'N';   
   
   END;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'LIMPA_DADOS_ORCAMENTO','5.03.006';
GO

